{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare subroutine btree.extract, update_index, rlist, end_dialog\r\ndeclare function msg, key_sort, utility, fieldcount\r\n$insert lsl_users_equ\r\n$insert msg_equates\r\n\r\nStartDateFrom = .start_date_from->text\r\nStartDateThru = .start_date_thru->text\r\nMaint         = .maint->check\r\nPass          = .Pass->check\r\nOther         = .other->check\r\nProve         = .prove->check\r\nEng           = .eng->check\r\nReactors      = .reactors->array\r\nSelServ       = .reactorservice->selpos\r\nORServ        = .reactorservice->list\r\nDetSum        = .det_sum->text\r\nServiceEdit   = .serviceedit->text\r\nServToExtract = ''\r\nScnt = fieldcount( SelServ, @fm )\r\nfor i = 1 to Scnt\r\n    ServToExtract := ORServ<SelServ<i>>:@vm\r\nnext i\r\nServToExtract[-1,1] = ''\r\nif ServiceEdit <> '' then\r\n  if ServToExtract <> '' then\r\n     ServToExtract := @vm:ServiceEdit\r\n  end else\r\n     ServToExtract = ServiceEdit\r\n  end\r\nend\r\nswap @vm:@vm with '' in Reactors\r\nif Reactors[-1,1] = @vm then Reactors[-1,1] = ''\r\nif StartDateFrom or StartDateThru then\r\n\tDirToPrint   = .send_to_printer->text\r\n\tRetVal = StartDateFrom:'*':StartDateThru:'*':Reactors:'*':ServToExtract:'*':Maint:'*':Pass:'*':Other:'*':Prove:'*':Eng:'*':DetSum:'*':DirToPrint\r\n\tend_dialog( @window, RetVal )\r\nend else\r\n    MsgInfo = ''\r\n    MsgInfo<mtext$> = 'You must have a from date or a thru date.'\r\n    MsgInfo<micon$> = '!'\r\n    Void = msg( '', MsgInfo )\r\nend\r\nreturn 0"
        }
    }
}